# Uses of Class
it.tdlight.jni.TdApi.MessageForwardInfo

## Uses of TdApi.MessageForwardInfo in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.MessageForwardInfo
Modifier and Type
Field
Description
`TdApi.MessageForwardInfo`
TdApi.Message.`forwardInfo`
Information about the initial message sender; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.MessageForwardInfo
Modifier
Constructor
Description
``
`Message(long id, TdApi.MessageSender sender, long chatId, TdApi.MessageSendingState sendingState, TdApi.MessageSchedulingState schedulingState, boolean isOutgoing, boolean isPinned, boolean canBeEdited, boolean canBeForwarded, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canGetStatistics, boolean canGetMessageThread, boolean canGetViewers, boolean canGetMediaTimestampLinks, boolean hasTimestampedMedia, boolean isChannelPost, boolean containsUnreadMention, int date, int editDate, TdApi.MessageForwardInfo forwardInfo, TdApi.MessageInteractionInfo interactionInfo, long replyInChatId, long replyToMessageId, long messageThreadId, int ttl, double ttlExpiresIn, long viaBotUserId, String authorSignature, long mediaAlbumId, String restrictionReason, TdApi.MessageContent content, TdApi.ReplyMarkup replyMarkup)`
Describes a message.